.\"
.\" "$Id: client.conf.man.in 6649 2007-07-11 21:46:42Z mike $"
.\"
.\"   client.conf man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 2007 by Apple Inc.
.\"   Copyright 2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Apple Inc. and are protected by Federal copyright
.\"   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\"   which should have been included with this file.  If this file is
.\"   file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH client.conf 5 "Common UNIX Printing System" "25 February 2006" "Apple Inc."
.SH NAME
client.conf \- client configuration file for cups
.SH DESCRIPTION
The \fIclient.conf\fR file configures the CUPS client and is 
normally located in the \fI/usr/avr32-linux/etc/cups\fR or \fI~/.cups\fR
directory. Each line in the file can be a configuration
directive, a blank line, or a comment. Comment lines start with
the # character.
.SH DIRECTIVES
The following directives are understood by the client. Consult the
on-line help for detailed descriptions:
.TP 5
Encryption IfRequested
.TP 5
Encryption Never
.TP 5
Encryption Required
.br
Specifies the level of encryption that is required for a particular
location.
.TP 5
ServerName hostname-or-ip-address[:port]
.TP 5
ServerName /domain/socket
.br
Specifies the address and optionally the port to use when
connecting to the server
.SH SEE ALSO
http://localhost:631/help
.SH COPYRIGHT
Copyright 2007 by Apple Inc.
.\"
.\" End of "$Id: client.conf.man.in 6649 2007-07-11 21:46:42Z mike $".
.\"
