#!/bin/sh

# Build zipfiles for ATK on Win32

ZIP=/tmp/atk-1.9.1-`date +%Y%m%d`.zip
DEVZIP=/tmp/atk-dev-1.9.1-`date +%Y%m%d`.zip

cd /usr/avr32-linux
rm $ZIP

DLLDIR=lib
[ -f bin/libatk-1.0-0.dll ] && DLLDIR=bin

zip $ZIP -@ <<EOF
$DLLDIR/libatk-1.0-0.dll
EOF

zip $ZIP lib/locale/*/LC_MESSAGES/atk10.mo

rm $DEVZIP
zip -r $DEVZIP -@ <<EOF
include/atk-1.0
lib/libatk-1.0.dll.a
lib/atk-1.0.lib
lib/pkgconfig/atk.pc
EOF
