.\"
.\" "$Id: cups-deviced.man.in 6649 2007-07-11 21:46:42Z mike $"
.\"
.\"   cups-deviced man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 2007 by Apple Inc.
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Apple Inc. and are protected by Federal copyright
.\"   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\"   which should have been included with this file.  If this file is
.\"   file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH cups-deviced 8 "Common UNIX Printing System" "12 February 2006" "Apple Inc."
.SH NAME
cups-deviced \- cups device daemon
.SH SYNOPSIS
.B cups-deviced
.I request-id limit user-id options
.SH DESCRIPTION
\fIcups-deviced\fR polls the backends in
\fI/usr/avr32-linux/lib/cups/backend\fR for a list of available devices.
It is run by \fIcupsd(8)\fR in response to a
\fICUPS-Get-Devices\fR request. The output format is an IPP
response message. The \fIrequest-id\fR argument is the request ID
from the original IPP request, typically 1. The \Ilimit\fR
argument is the limit value from the original IPP request - 0
means no limit. The \fIuser-id\fR argument is the
requesting-user-name value from the original IPP request.
Finally, the \fIoptions\fR argument is a space-delimited list of
attributes ("name=value name=value \...") that were passed in
with the request. Currently \fIcups-deviced\fR looks for the
\fIrequested-attributes\fR attribute and tailors the output
accordingly.
.SH SEE ALSO
backend(7), cupsd(8), cupsd.conf(5),
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 2007 by Apple Inc.
.\"
.\" End of "$Id: cups-deviced.man.in 6649 2007-07-11 21:46:42Z mike $".
.\"
